/* install.cmd
 *
 * shell for installation of Suntan Special
 *
 * Copyright (C) 2011 Blonde Guy
 * All Rights Reserved
 */

/* don't log yet, there isn't a log file */
say "Install version 0.66 by Blonde Guy"

Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
Call SysLoadFuncs

/* put the utility directory into the path */
originalDir = Directory()
parse source os environ prog
utilPath = filespec('drive', prog) || filespec('path', prog) || 'cdutils'
systemPath = strip(value('PATH',,'OS2ENVIRONMENT'), 'Both', ';')
if pos(utilPath, systemPath) <> 1 then do
   call value "PATH", utilPath || ';' || systemPath, "OS2ENVIRONMENT"
end

chooserFile = utilPath || '\Chooser.Cmd'
call Directory utilPath

if osVersion = 'OS/2 Warp' then do
   '@start "Suntan Special" /c /max' chooserFile
end
else do
   '@start "Suntan Special" /c /min' chooserFile
end

call Directory originalDir
return
